.mega-menu {
  position: static;
}

.mega-menu__content {
  background-color: rgb(var(--color-background));
  border-left: 0;
  border-radius: 0;
  border-right: 0;
  left: 0;
  overflow-y: auto;
  padding-bottom: 3rem;
  padding-top: 3rem;
  position: absolute;
  right: 0;
  top: 100%;
}

.header-wrapper--border-bottom .mega-menu__content {
  border-top: 0;
}
.default-header main#MainContent,
.default-header .footer-section {
  filter: none !important;
}

.mega-menu__content {
  opacity: 0;
  visibility: hidden;
  overflow: hidden;
  transition:
    max-height 0.5s ease,
    opacity 0.5s ease,
    visibility 0.5s;
}

.header__menu-item.animate-dropdown ~ .mega-menu__content,
.header__menu-item.animate-dropdown + .mega-menu__content,
.mega-menu__content.animate-dropdown {
  opacity: 1;
  visibility: visible;
}

body.blurry:before {
  content: "";
  position: fixed;
  width: 100%;
  height: 100%;
  inset: 0;
  backdrop-filter: blur(20px);
  z-index: 99;
  pointer-events: none;
}
body.search-open:before {
  content: "";
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  -webkit-backdrop-filter: blur(20px);
  backdrop-filter: blur(20px);
  z-index: 99;
  background-color: rgb(var(--color-foreground), 0.5);
}
.mega-menu__list {
  display: grid;
  gap: 1.8rem 4rem;
  grid-template-columns: repeat(6, minmax(0, 1fr));
  list-style: none;
}

.mega-menu__link {
  color: rgba(var(--color-foreground), 0.75);
  display: block;
  line-height: calc(1 + 0.3 / var(--font-body-scale));
  padding-bottom: 0.6rem;
  padding-top: 0.6rem;
  text-decoration: none;
  transition: text-decoration var(--duration-short) ease;
  word-wrap: break-word;
}

.mega-menu__link--level-2 {
  font-weight: bold;
}

.header--top-center .mega-menu__list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  column-gap: 0;
}

.header--top-center .mega-menu__list > li {
  width: 16%;
  padding-right: 2.4rem;
}

.mega-menu__link:hover,
.mega-menu__link--active {
  color: rgb(var(--color-foreground));
  text-decoration: underline;
}

.mega-menu__link--active:hover {
  text-decoration-thickness: 0.2rem;
}

.mega-menu .mega-menu__list--condensed {
  display: block;
}

.mega-menu__list--condensed .mega-menu__link {
  font-weight: normal;
}

/* ------------------------------------------------- */
.section-header.shopify-section-group-header-group
  .header-wrapper:has(.mega-menu[open]),
.section-header.shopify-section-group-header-group .header-wrapper.bgcolor,
body.search-open
  .section-header.shopify-section-group-header-group
  .header-wrapper {
  background: #000;
}
.mega-menu__content {
  background: #000;
  padding-top: 56px;
  padding-bottom: 56px;
  padding-left: 95px;
  padding-right: 95px;
  display: flex;
  padding: 0;
}
.mega-menu__content .mega_menu_content_wrap {
  padding-top: 56px;
  padding-bottom: 56px;
  padding-left: 95px;
  padding-right: 95px;
  display: flex;
  width: 100%;
}
.mega-menu__content .menu-title-wrapper {
  width: calc(var(--width-minus-height) + 20px);
  padding-right: 20px;
}
.mega-menu__content .menu-title-wrapper .main-menu-title {
  margin: 0;
  font-size: 4rem;
  line-height: 1;
  color: #fff;
  hyphens: auto;
}
.mega-menu__content .mega-menu__list {
  display: flex;
  flex-flow: wrap;
  margin: 0;
  gap: 40px 30px;
  padding-left: 0;
  padding-right: 50px;
  flex: 1;
  -webkit-column-count: 3;
  -moz-column-count: 3;
  column-count: 3;
  column-gap: 40px;
  display: block;
  width: calc(100% - var(--width-minus-height) - 300px - 20px);
}
.mega-menu__content .menu_product_wrapper:has(.menu_product_block) {
  width: 300px;
}

.mega-menu__content .mega-menu__list > li {
  box-sizing: border-box;
  -webkit-column-break-inside: avoid;
  page-break-inside: avoid;
  break-inside: avoid;
  counter-increment: brick-counter;
  width: 100%;
  margin-bottom: 8px;
}

.mega-menu__content .mega-menu__list > li > a {
  padding: 0 0 8px;
  color: #ffffff;
  font-family: var(--primary-font-family);
  font-size: 1.143rem;
  line-height: 1;
}
.mega-menu__content .mega-menu__list > li > ul .mega-menu__link {
  color: #fff;
  line-height: 1;
  padding: 10px 0;
  font-size: 1.143rem;
  line-height: 1;
}

.mega-menu__content .menu_product_wrapper .section-title {
  color: #fff;
  margin-bottom: 10px;
}
.mega-menu__content .menu_product_wrapper .product_wrap .product_media {
  position: relative;
  width: 126px;
  padding-bottom: 183px;
  overflow: hidden;
  background: #fff;
}
.mega-menu__content .menu_product_wrapper .product_wrap .product_media img {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.mega-menu__content .menu_product_wrapper .product_wrap {
  display: flex;
  flex-flow: wrap;
  gap: 15px;
}
.mega-menu__content .menu_product_wrapper .product_wrap .product_info {
  flex: 1;
  display: flex;
  flex-flow: column;
  gap: 10px;
}
.mega-menu__content
  .menu_product_wrapper
  .product_wrap
  .product_info
  .product_title {
  color: #fff;
  line-height: var(--line-spacing-body);
  font-size: var(--body-font-size);
  margin: 0;
}
.mega-menu__content .menu_product_wrapper .product_wrap .product_info a {
  display: block;
  color: #fff;
  text-decoration: underline;
  text-underline-offset: 6px;
  margin-top: auto;
}
@media (max-width: 1680px) {
  .mega-menu__content .menu-title-wrapper {
    width: calc(var(--width-minus-height) + 10px);
  }
  .mega-menu__content .mega-menu__list {
    padding-left: 0;
    padding-right: 30px;
    width: calc(100% - var(--width-minus-height) - 300px - 10px);
  }
  .mega-menu__content .mega-menu__list {
    -webkit-column-count: 3;
    -moz-column-count: 3;
    column-count: 3;
  }
  .mega-menu__content .menu_product_wrapper {
    /* display: none; */
  }
  .mega-menu__content .menu-title-wrapper .main-menu-title {
    font-size: var(--font-size-h1);
    line-height: 1;
  }
}
@media (max-width: 1439px) {
  .mega-menu__content {
    padding-left: 50px;
    padding-right: 50px;
    padding: 0;
  }
  .mega-menu__content .mega_menu_content_wrap {
    padding-left: 50px;
    padding-right: 50px;
  }
  .mega-menu__content .menu_product_wrapper {
    display: none;
  }
}
@media (max-width: 1280px) {
  .section-header.shopify-section-group-header-group
    .header-wrapper:has(.menu-opening) {
    background: #000;
  }
  .header__icon--menu[aria-expanded="true"]:before {
    background: #000;
    opacity: 0.8;
  }
  .menu-drawer {
    width: 100%;
    background: #000;
    border: none;
    margin: 0;
    border-top: 1px solid #333;
  }
  .header--has-social .menu-drawer__utility-links {
    display: none;
  }
  .menu-drawer__navigation .list-menu__item {
    font-family: var(--primary-font-family);
    color: #fff;
    padding: 10px 70px 10px 30px !important;
  }
  .menu-drawer__navigation .list-menu__item > :is(span, a) {
    color: inherit;
  }

  .menu-drawer__navigation .list-menu__item:hover,
  .menu-drawer__menu-item--active,
  .menu-drawer__navigation .-menu__item:focus {
    background: #007c3e;
  }
  ul.menu-drawer__menu li {
    min-height: auto;
    height: auto;
  }
  .menu-drawer__menu-item > .icon-arrow,
  .menu-drawer__close-button .icon-arrow {
    width: 25px;
  }
  .js .menu-drawer__submenu {
    background: #000;
  }
  .menu-drawer__close-button,
  .menu-drawer__close-button:hover,
  .menu-drawer__close-button:focus {
    background: #007c3e;
    color: #fff;
    margin-bottom: 17px;
  }
  ul.menu-drawer__menu li:hover:after {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
  }
  ul.menu-drawer__menu li:after {
    background-color: transparent !important;
  }
}
@media (max-width: 749px) {
  .menu-drawer__navigation .list-menu__item {
    padding: 10px 70px 10px 20px !important;
  }
}
/* ------------------------------------------------- */

/* ----------------------- */

@media (min-width: 990px) {
  .mega-menu__content .mega-menu__list {
    width: auto;
    flex: 1;
  }
  .mega-menu__content .menu-title-wrapper {
    width: 17%;
  }
}
/* ----------------------- */
#MegaMenu-Content-2.mega-menu__content .mega-menu__list {
  column-count: 4;
}
.mega-menu__content .mega-menu__list > li > ul .mega-menu__link {
  font-family: var(--secondary-font-family);
}

/* -------------- */
.mega-menu__content .mega-menu__list > li > a,
.mega-menu__content .mega-menu__list > li > ul .mega-menu__link {
  font-size: 1.095rem;
  line-height: 1.714rem;
}
.is-event-menu .mega-menu__content .mega-menu__list > li > a,
.is-event-menu .mega-menu__content .mega-menu__list > li > ul .mega-menu__link {
  font-size: 1rem;
}
.mega-menu__content .mega-menu__list > li > ul .mega-menu__link {
  padding-top: 0;
  padding-bottom: 0;
  padding-top: 0.3rem;
  padding-bottom: 0.3rem;
  line-height: 1.4rem;
}
.mega-menu__content .mega-menu__list > li {
  margin-bottom: 0;
  padding-bottom: 30px;
}
@media (min-width: 1440px) {
  .mega-menu__content .mega-menu__list {
    padding-right: 20px;
  }
  .mega-menu__content .mega-menu__list > li > a {
    padding-bottom: 0;
  }
  .mega-menu__content .menu_product_wrapper .section-title {
    font-size: 1.095rem;
    line-height: 1.714rem;
  }
  .mega-menu__content .menu_product_wrapper:has(.menu_product_block) {
    width: 245px;
    padding-left: 15px;
  }
  .mega-menu__content {
    padding-right: 0px;
  }
  .mega-menu__content .mega_menu_content_wrap {
    padding-right: 30px;
  }
  .mega-menu__content .menu_product_wrapper .product_wrap .product_media {
    width: 100%;
  }
  .mega-menu__content .mega-menu__list {
    -webkit-column-count: 4;
    -moz-column-count: 4;
    column-count: 4;
  }
}
@media (max-width: 1680px) {
  .mega-menu__content .mega-menu__list {
    padding-right: 0;
  }
}
@media (max-width: 1439px) {
  .is-event-menu .mega-menu__content .mega-menu__list > li > a,
  .is-event-menu
    .mega-menu__content
    .mega-menu__list
    > li
    > ul
    .mega-menu__link {
    font-size: 0.9rem;
  }
}

/* -------------- */

/* ---------- */

.mega-menu__content {
  height: 0;
  transition: none;
  box-shadow: none;
  border: none;
}
.hovered .mega-menu__content {
  transition:
    height 0s ease,
    opacity 0s ease,
    visibility 0.3s,
    min-height 0s;
  visibility: visible;
  z-index: -1;
  height: calc(var(--hover-content-height) + 1px);
}
.mega-menu__content .mega_menu_content_wrap {
  min-height: calc(var(--content-height) + 1px);
}
.hovered .mega-menu__content .mega_menu_content_wrap {
  opacity: 0;
  transition: all 0.3s;
}
.header__menu-item.animate-dropdown ~ .mega-menu__content,
.header__menu-item.animate-dropdown + .mega-menu__content,
.mega-menu__content.animate-dropdown {
  transition:
    height 300ms cubic-bezier(0.4, 0, 0.6, 1),
    opacity 0s ease,
    visibility 300ms,
    min-height 300ms;
  z-index: 1;
  height: calc(var(--content-height) + 1px);
}
.hovered .header__menu-item.animate-dropdown ~ .mega-menu__content,
.hovered .header__menu-item.animate-dropdown + .mega-menu__content,
.hovered .mega-menu__content.animate-dropdown {
  z-index: 1;
}
.hovered
  .header__menu-item.animate-dropdown
  ~ .mega-menu__content
  .mega_menu_content_wrap,
.hovered
  .header__menu-item.animate-dropdown
  + .mega-menu__content
  .mega_menu_content_wrap,
.hovered .mega-menu__content.animate-dropdown .mega_menu_content_wrap {
  opacity: 1;
}
.mega-menu-closing .mega-menu__content {
  transition:
    height 300ms cubic-bezier(0.4, 0, 0.6, 1),
    opacity 0s ease,
    visibility 300ms,
    min-height 300ms;
  opacity: 1;
  visibility: visible;
}
.mega-menu-closing .mega-menu__content {
  z-index: -1;
  visibility: hidden;
  opacity: 1;
}
.mega-menu-closing .mega-menu__content .mega_menu_content_wrap {
  opacity: 0;
}

@keyframes fadeOutBg {
  from {
    top: 0;
  }
  to {
    top: calc(var(--header-height) * -1);
  }
}

@keyframes fadeInBg {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.section-header.shopify-section-group-header-group .header-wrapper.bgcolor {
  background: transparent;
}

.section-header.shopify-section-group-header-group
  .header-wrapper.bgcolor:before {
  content: "";
  position: absolute;
  inset: 0;
  height: 100%;
  animation: fadeInBg 0ms 0ms both;
  background: #000;
  z-index: -1;
}

body.search-open {
  overflow: hidden;
}
/* ---------- */

/* header__menu line */
.header__menu-item span:before {
  bottom: calc((-1.476rem / 2) + 0.6rem);
}
.section-header .mega-menu__link:before {
  bottom: calc((-1.476rem / 2) + 0.7rem);
}
.mega-menu__content .mega-menu__list > li > ul > li {
  margin-top: 10px;
}
.mega-menu__content .mega-menu__list > li > ul .mega-menu__link {
  padding-top: 0;
  padding-bottom: 0;
}
.mega-menu__content .mega-menu__list > li > ul .mega-menu__link:before {
  bottom: calc((-1.476rem / 2) + 0.5rem);
}
@media (max-width: 1365px) and (min-width: 1281px) {
  .header__menu-item span:before {
    bottom: calc((-1rem / 4));
  }
}
/* End header__menu line */
/* ------------------- */
.mega-menu__content .menu_product_wrapper .section-title-link {
  text-decoration: none;
  position: relative;
  display: block;
  width: fit-content;
}
.mega-menu__content .menu_product_wrapper .section-title-link:hover:before {
  left: 0;
  width: 100%;
}
.mega-menu__content .menu_product_wrapper .section-title-link:before {
  background-color: #fff;
  bottom: calc((-1.476rem / 2) + 0.7rem);
  content: "";
  height: 2px;
  position: absolute;
  right: 0;
  left: auto;
  transition-delay: 0.15s;
  transition-duration: 0.3s;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-timing-function: linear;
  width: 0;
  border: 0;
}
/* ------------------- */

@media (max-width: 1679px) and (min-width: 1281px) {
  .mega-menu__content .mega-menu__list > li > a {
    padding: 0 0 0;
  }
}
@media (max-width: 1535px) and (min-width: 1281px) {
  .mega-menu__content .mega-menu__list > li > a,
  .mega-menu__content .mega-menu__list > li > ul .mega-menu__link {
    font-size: 1rem;
    line-height: 1.2rem;
  }
  .mega-menu__content .mega-menu__list > li > a {
    padding: 0 0 0px;
  }
  .section-header .mega-menu__link:before {
    bottom: calc((1.2em / 2) + -0.85rem);
  }
}

@media screen and (min-width: 1281px) {
  body .is-shop-menu .mega-menu__content {
    display: none !important;
    z-index: 0 !important;
    opacity: 0 !important;
    visibility: hidden !important;
  }
}
